<%inherit file="master.html" />
<div id="common">
    <div class="row mb-1">
        <div class="col-6 sol-sm-3">
            Обработчик
        </div>
        <div class="col-6 sol-sm-4">
            <div class="custom-control custom-radio custom-control-inline">
                <input id="processor-on" class="custom-control-input" type="radio" class="form-control" name="active"
                       value="true"${('', ' checked')[common['active']]}>
                <label class="custom-control-label" for="processor-on">Включён</label>
            </div>
            <div class="custom-control custom-radio custom-control-inline">
                <input id="processor-off" class="custom-control-input" type="radio" class="form-control" name="active"
                       value="false"${(' checked', '')[common['active']]}>
                <label class="custom-control-label" for="processor-off">Выключен</label>
            </div>
        </div>
    </div>
    <div class="row mb-1">
        <div class="input-group col-12">
            <div class="input-group-prepend">
                <span class="input-group-text">Корневой каталог</span>
            </div>
            <input type="text" class="form-control" name="root" value="${common['root']}">
        </div>
    </div>
    <div class="row mb-1">
        <div class="input-group col-12">
            <div class="input-group-prepend">
                <span class="input-group-text">Каталог сохранения NetCDF4</span>
            </div>
            <input type="text" class="form-control" name="storage_path" value="${common['storage_path']}">
        </div>
    </div>
    <div class="row mb-1">
        <div class="input-group col-12">
            <div class="input-group-prepend">
                <span class="input-group-text">Размер буфера при записи NetCDF4 на диск</span>
            </div>
            <input type="number" class="form-control" name="chunk_size" value="${common['chunk_size']}">
        </div>
    </div>
    <div class="row mb-1">
        <div class="input-group col-12">
            <div class="input-group-prepend">
                <span class="input-group-text">Каталог сохранения векторных полигонов</span>
            </div>
            <input type="text" class="form-control" name="cache_path" value="${common['cache_path']}">
        </div>
    </div>
</div>
<div id="common-actions" class="pb-5">
    <div class="row">
        <div class="col col-sm-3">
            <a id="common-actions-save" href="#common-actions" class="btn btn-success mt-3 form-control"
               role="button">Сохранить</a>
        </div>
        <div class="col col-sm-3">
            <a href="${url_for('index')}" class="btn btn-secondary mt-3 form-control" role="button">Назад</a>
        </div>
    </div>
</div>

<%def name="script()">
    <script>let updateCommonPath = '${url_for('update_common')}'</script>
    <script src="/static/js/common.js"></script></%def>